Updates | KDE 10 |Kernel 3.7

Conversações gerais a respeito de Sabayon Linux

Moderator: Moderators

Updates | KDE 10 |Kernel 3.7

Postby sheilong » Fri Mar 08, 2013 14:59

Eu uso sabayon 11, venho fazendo todas atualizações desde o sabayon 10, mas o kernel e o kde nao forão atualizados com o upgrade, isso é normal ?

Também nao estou recebendo atualizações toda semana, acho que essa e a terceira semana desde que eu fiz a ultima atualização isso é algo comum, ou o sabayon por ser rolling release deve ter atualizações semanais ?

Eu sempre checo por arualizações com o comando " equo update " .
sheilong
Baby Hen
 
Posts: 13
Joined: Sat Feb 16, 2013 17:46

Re: Updates | KDE 10 |Kernel 3.7

Postby albfneto » Fri Mar 08, 2013 18:42

Olá.
"equo update" ou "equo up", atualiza os repositórios e não checa os pacotes novos!

para checar os pacotes novos, "equo upgrade" ou "equo u" com opção simulando apenas, assim:

Code: Select all
sudo equo upgrade --pretend


Assim vc checa, mas no geral, basta vc ver no Painel, quando o icone do Notificador Magneto (parece um alvo, verde), fica amarelo, é porque tem pacotes novos a serem atualizados, quase todo dia.

O Kernel ele não troca automático, por causa de não quebrar o driver de vídeo. Se quiser atualizar o kernel, o mais novo é o 3.8.

Tem vários jeitos, mas o mais simples é usando o comando "kernel-switcher", veja minha Dica publicada aqui, no Blog do nosso amigo Edinaldo, o EDPS:

https://gnutwoall.wordpress.com/2012/10/12/dica-o-jeito-mais-facil-de-atualizar-o-kernel-e-o-driver-de-video-em-sabayon-linux-2/
Last edited by albfneto on Fri Mar 08, 2013 18:57, edited 1 time in total.
ALBERTO FEDERMAN NETO
albfneto
albfneto@fcfrp.usp.br
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1689
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Updates | KDE 10 |Kernel 3.7

Postby sheilong » Fri Mar 08, 2013 18:52

O magneto so mostra que tem atualizações quando eu rodo equo update e el baixa novos repositorios, e então sim eu rodo equo upgrade. E em relação ao KDE, meu KDE nao atualizou para o 4.10 automaticamente. Ainda estou na versão 4.9.5
sheilong
Baby Hen
 
Posts: 13
Joined: Sat Feb 16, 2013 17:46

Re: Updates | KDE 10 |Kernel 3.7

Postby albfneto » Fri Mar 08, 2013 19:06

já devia ter atualizado, pq já está no repositorio normal, o meu é 4.10.
O Magneto devia atualizar os repos automático, ele mesmo, magneto, deveria rodar o comando equo update...

tem algo estranho nos seus repos, por favor, poste aqui o conteudo dos seus arquivos: /etc/entropy/client.conf e dos:

/etc/entropy/repositories.conf.d/entropy_sabayonlinux.org

e também veja se seu Sabayon usa Repositorio Weekly ou SabayonLinux.org:

Code: Select all
sudo equo repo list
ALBERTO FEDERMAN NETO
albfneto
albfneto@fcfrp.usp.br
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1689
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Updates | KDE 10 |Kernel 3.7

Postby sheilong » Fri Mar 08, 2013 20:17

Code: Select all
cat /etc/entropy/client.conf
# Project Entropy 1.0 Equo configuration file

# Collision protection
# 0: No protection
# 1: Removal protection (recommended)
# 2: Installation/Removal protection
collision-protect = 1

# Configuration files protection
# This works in the same way of Portage CONFIG_PROTECT but it's Entropy related
#
#  syntax for CONFIG_PROTECT:
#  config-protect = /path/to/dir1 /path/to/dir2 /path/to/dir3
#
#  default: unset, internal variable will be used (this is stored into
#           the repository database)
#
# 2: Installation/Removal protection
config-protect = /etc/conf.d /etc/hosts /etc/X11/xorg.conf /etc/X11 /etc/entropy

# Configuration files protection
# This works in the same way of Portage CONFIG_PROTECT_MASK but it's
# Entropy related
#
#  syntax for CONFIG_PROTECT_MASK:
#  config-protect-mask = /path/to/dir1 /path/to/dir2 /path/to/dir3
#
#  default: unset, internal variable will be used (this is stored into the
#           repository database)
#
# 2: Installation/Removal protection mask
config-protect-mask = /etc/pam.d

# Configuration files protection
# List of files that should be kept as they are: whose updated config files
# will be rejected
#
#  syntax for CONFIG_PROTECT_SKIP:
#  config-protect-skip = /path/to/dir1 /path/to/dir2 /path/to/dir3
#                                                                                                                                                                                   
#  default: unset, internal variable will be used (this is stored into the                                                                                                         
#           repository database)                                                                                                                                                   
#                                                                                                                                                                                   
# 2: Installation/Removal protection skip
config-protect-skip = /etc/conf.d/hostname /etc/sudoers /etc/exports

# Configuration files backup
# Option to enable/disable automatic backup of files merged by "equo conf update"
# Valid parameters: disable, enable, true, false, disabled, enabled, 0, 1
# Default parameter if unset: enable
files-backup = false

# Extra package hash check modules
# Option to selectively choose what extra package hash checks to execute
# when installing a package. Modules avaiable are sha1, sha256, sha512 and gpg.
# Default parameter if unset: sha1 sha256 sha512 gpg
# PLEASE NOTE: to fully disable GPG feature, please have a look at the
# "gpg" option below.
package-hashes = sha1 gpg

# GnuPG repository and packages verification feature.
# Valid parameters: disable, enable, true, false, disabled, enabled, 0, 1
# Default parameter if unsed: enable
# It is strongly suggested to keep gpg feature enabled.
# gpg = enable

# Force critical updates first
# Option to enable/disable forced critical updates installation.
# Valid parameters: disable, enable, true, false, disabled, enabled, 0, 1
# Default parameter if unset: enable
# forced-updates = enable

# Number of days that should pass before package files
# get removed from cache automatically.
# Note that this feature should be disabled in server-environments where
# storing packages cache is subject to different policies.
# The daemon in charge of this is client-updates-daemon available via
# entropy-client-services package. You may consider cleaning up packages cache
# manually by calling "equo cleanup" either inside a cronjob or by hand.
# Valid parameters: <integer, representing number of days>
# Default parameter if unset: <feature disabled>
# NOTE: values <0 or >365 are not tolerated.
packages-autoprune-days = 60

# Enable/disable simultaneous download of packages by Entropy Client
# Valid parameters: disable, enable, true, false, disabled, enabled
# By default, if multifetch is enabled, only 3 simultaneous downloads
# are allocated. To change this, just set multifetch to a value between
# 1 and 10.
# Default parameter if unset: disable
multifetch = 3

# Enable Entropy package delta download (when delta packages are available).
# Running on limited bandwidth? Do you have monthly bandwidth limits?
# Enable this feature and further package updates will be downloaded through
# their .edelta files, saving a lot of bandwidth.
# Default parameter if unset: disable
packages-delta = enable

# Ignore SPM (Portage) pseudo-downgrades
# USE AT YOUR OWN RISK, IF YOU DON'T KNOW WHAT'S THIS OPTION
# !!!!!!!!!!!!!!!!!!        SKIP IT       !!!!!!!!!!!!!!!!!!
# !!!!!!!!!!!!!!!!!!        SKIP IT       !!!!!!!!!!!!!!!!!!
# !!!!!!!!!!!!!!!!!!        SKIP IT       !!!!!!!!!!!!!!!!!!
# !!!!!!!!!!!!!!!!!!        SKIP IT       !!!!!!!!!!!!!!!!!!
# This option permits to skip packages with Entropy revision 9999
# from being treaten as downgrades. This usually happens when
# migrating from Portage to Entropy
# Valid parameters: disable, enable, true, false, disabled, enabled, 0, 1
# Default parameter if unset: disable
ignore-spm-downgrades = disable

# Enable the installation of debug files
# Also known as "splitdebug" support
# Valid parameters: disable, enable, true, false, disabled, enabled, 0, 1
# Default parameter if unset: disable
# splitdebug = disable
# HOW SPLITDEBUG WORKS with Entropy
# Once you enable the "splitdebug" feature
# you just need to (re)install packages in order to
# get /usr/lib/debug metadata files installed. That's it.
# You can safely remove /usr/lib/debug without affecting
# Operating System functionality, at any time.
sheilong
Baby Hen
 
Posts: 13
Joined: Sat Feb 16, 2013 17:46

Re: Updates | KDE 10 |Kernel 3.7

Postby sheilong » Fri Mar 08, 2013 20:20

felipe@felipe ~ $ ls /etc/entropy/repositories.conf.d/entropy_sabayonlinux.org
ls: não é possível acessar /etc/entropy/repositories.conf.d/entropy_sabayonlinux.org: Arquivo ou diretório não encontrado

felipe@felipe ~ $ ls /etc/entropy/repositories.conf.d/
_entropy_sabayon-limbo entropy_sabayonlinux.org.example README
_entropy_sabayon-limbo.example entropy_sabayon-weekly

felipe@felipe ~ $


felipe@felipe ~ $ sudo equo repo list

We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

#1) Respect the privacy of others.
#2) Think before you type.
#3) With great power comes great responsibility.

Senha:
Sorry, try again.
Senha:
* sabayon-weekly
Sabayon Linux Official Repository
sheilong
Baby Hen
 
Posts: 13
Joined: Sat Feb 16, 2013 17:46

Re: Updates | KDE 10 |Kernel 3.7

Postby albfneto » Sat Mar 09, 2013 13:04

está usando os dois, seu magneto deveria estar atualizando sozinho, ele memso roda o comando equo update e deveria mostrar as atualizações. Vc quando liga, vai usando e aguarda o icone do magneto mudar de cor, ou já roda o comando?

saida do comando equo s kde-meta

deveria estar atualizando, a não ser que o KDE esteja ainda só no repositorio experimental limbo, mas vou checar com o time
ALBERTO FEDERMAN NETO
albfneto
albfneto@fcfrp.usp.br
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1689
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Updates | KDE 10 |Kernel 3.7

Postby albfneto » Sat Mar 09, 2013 13:08

acabei de checar na home page, está no Official repository:

https://packages.sabayon.org/quicksearch?q=kde-meta&x=0&y=0

Repositório que no seu Sabayon está em uso, portanto deveria estar atualizando... seu client.conf está correto.

experimente forçar a atualização dos repos e depois verificar se o seu KDE seria instalado:

Code: Select all
sudo equo update --force
equo --pretend upgrade


Vc não havia mudado nada dos repositorios? Por exemplo tentar usar os repos Brasileiros (meu post está desatualizado, se for usar os repos brasileiros como preferenciais, fale comigo)
ALBERTO FEDERMAN NETO
albfneto
albfneto@fcfrp.usp.br
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1689
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Updates | KDE 10 |Kernel 3.7

Postby sheilong » Sat Mar 09, 2013 21:19

Acabei de entrar no sabayon magneto estava com a cor verde, rodei equo update --force e baixou novos repositorios, magneto continua verde e agora eu rodei o equo --pretend upgrade elipe

felipe # equo --pretend upgrade
>> Você deveria executar equo --help

Entao eu digitei apenas equo upgrade
felipe felipe # equo upgrade
>> @@ Calculando Atualizações de Sistema:
>> @@ Nada para atualizar.
>> @@ No sistema existem pacotes que não estão mais disponíveis nos repositórios online.
>> @@ Mesmo que eles sejam normalmente inofensivos, sugere-se (após verificação) que você os remova.
>> @@ Estes são os pacotes que devem ser removidos MANUALMENTE:
>> ## [sabayonlinux.org] dev-python/argparse-1.2.1 [1.1MB]
>> ## [sabayonlinux.org] net-misc/dcbd-0.9.24-r1 [1.2MB]
>> ## [sabayonlinux.org] dev-libs/boost-1.46.1-r1 [68.5MB]
>> ## [sabayonlinux.org] net-wireless/ipw2200-firmware-3.1 [574.9kB]
>> ## [sabayonlinux.org] net-wireless/acx-firmware-20060207 [463.1kB]
>> ## [sabayonlinux.org] x11-libs/vdpau-video-0.7.3 [1.1MB]
>> ## [sabayonlinux.org] net-wireless/ipw2100-firmware-1.3 [632.2kB]
>> ## [sabayonlinux.org] kde-base/ktron-4.9.0 [547.7kB]
>> ## [sabayonlinux.org] net-wireless/zd1211-firmware-1.4 [413.6kB]
>> ## [sabayonlinux.org] media-libs/libmediawiki-2.8.0 [381.4kB]
>> ## [sabayonlinux.org] virtual/pcmcia-2.6.13 [0.0b]
>> ## [sabayonlinux.org] net-wireless/bluez-firmware-1.2 [505.5kB]
>> ## [sabayonlinux.org] net-wireless/bcm43xx-firmware-4319-r1 [86.9kB]
>> ## [sabayonlinux.org] net-wireless/linux-wlan-ng-firmware-0.2.2 [607.2kB]
>> ## [sabayonlinux.org] net-wireless/zd1201-firmware-0.14 [502.4kB]
>> ## [sabayonlinux.org] net-wireless/linux-wlan-ng-utils-0.2.2 [117.6kB]
>> @@ Nada para remover.
>> @@ Todos os arquivos de configuração estão atualizados.
sheilong
Baby Hen
 
Posts: 13
Joined: Sat Feb 16, 2013 17:46

Re: Updates | KDE 10 |Kernel 3.7

Postby sheilong » Sat Mar 09, 2013 21:20

felipe felipe # equo s kde-meta
>> @@ Buscando...
>> @@ Pacote: kde-base/kde-meta-4.9.5 branch: 5, [sabayon-weekly]
>> Disponível: versão: 4.9.5 ~ tag: NoTag ~ revisão: 1
>> Instalado: versão: Não instalado ~ tag: N/D ~ revisão: N/D
>> Slot: 4
>> Homepage: http://www.kde.org/
>> Descrição: KDE - merge this to pull in all split
>> kde-base/* packages
>> Licença: metapackage
>> Palavras-Chave: kde-meta
>> Encontrado: 1 entrada
sheilong
Baby Hen
 
Posts: 13
Joined: Sat Feb 16, 2013 17:46

Next

Return to Portuguese

Who is online

Users browsing this forum: No registered users and 1 guest